Locometry v2.6


 
This location is for Registered Users Only.
Perhaps you need to login or register.
Contributor: Kim Ranzani
Snap geometries to vertices. add Locometry.py to your .nuke folder add import Locometry to your menu.py
Requirements:
13.1, 13.0, 12.2, 12.1, 12.0, 11.3, 11.2, 11.1, 11 or later
Linux, Mac, Windows
09 Mar 2022
691

v2.0
Python version of the Gizmo but works with alembic and custom geo's and doesn't gives you crazy flipping.
Still need to do a proper conversion from rotation matrix to Euler angles. It uses a transformGeo to link the created Axis to the geo to snap.

v2.1

Proper Euler angles ( rotation calculated in XYZ order ).
No link with transformGeo needed.

Put the Locometry.py in your .nuke as well as the icon folder. Update menu.py

v2.2

Updated to PySide2

v2.3

Fixed wrong number of vertices selection

Fixed wrong Frame Range Inputs

Logo provided 

 v2.4

Fixed select vertices error

v2.5

removed UI

faster as it uses a curve tool to calculate frames.

fixed skipping frames due to Threading.

v2.6

Check for selected vertices

 

Please login in order to download these files.

Comments   

 
0 # Adam Hazard 2017-09-20 23:42
I put the both files(locometry .py and menu.py) in my .nuke folder on macOS. Im running Nuke11.0v1 and I get this error on start up.

"/Users/"name"/.nuke/menu.py : error interpreting this plugin"

Tried replacing my orginal menu.py file with yours and updating my current menu.py with yours, same error.

Does this not work on v11?

thanks
 
 
0 # Kim Ranzani 2019-03-03 17:34
v2.2 Updated to PySide2
 
 
0 # Scott Vosbury 2017-10-19 01:19
Thanks Kim! This works great with Nuke 10! Much better than AnimatedSnap3D :-)
 
 
0 # Kim Ranzani 2019-03-04 15:42
glad it helps... new version works in nuke 11 as well.

Cheers.
 
 
0 # li zhaohui 2017-11-19 09:03
Unable to work in nuke11
 
 
0 # Kim Ranzani 2019-03-03 17:35
v2.2 Updated to PySide2
 
 
0 # li zhaohui 2017-11-22 16:55
Tools don't seem to work in nuke11
And how do you get scaling information?
 
 
0 # Kim Ranzani 2019-03-03 17:35
v2.2 Updated to PySide2
 
 
0 # li zhaohui 2017-11-24 02:06
win7 have access to
win10 error
Locometry.py", line 119, in run
nuke.executeInMainThreadWithResult(nodeToSnap['translate'].setAnimated,())
TypeError: 'NoneType' object has no attribute '__getitem__'
 
 
0 # Kim Ranzani 2019-03-04 15:29
probably wrong number of vertices selected. 2.3 fix that
 
 
0 # li zhaohui 2018-08-23 18:13
No update?
 
 
0 # Gaël Chopin 2018-10-09 17:06
To make it run in Nuke 11 you need to edit the Locometry.py file since Nuke 11 migrated to PySide2 and this is written for an old version of PySide.

Replace the first line:

from PySide import QtGui, QtCore

by:

try:
from PySide import QtGui, QtCore
except ImportError:
from PySide2 import QtCore
from PySide2.QtGui import QPixmap
from PySide2 import QtWidgets as QtGui


And replace:

self.header = QtGui.QPixmap(os.path.split(__file__)[0]+'/icons/logo.png')

by:

self.header = QPixmap(os.path.split(__file__)[0]+'/icons/logo.png')



Really great tool, working in most of the cases, thank you very much!
 
 
0 # Bernd M 2018-12-22 03:53
Without the "try", but only the from Pyside2 tags at least the nuke is loading again. But when I create a sphere, animate it, select a vertex and then launch the script literally nothing happens. Recommendations ?
 
 
0 # Kim Ranzani 2019-03-03 17:36
v2.2 Updated to PySide2
 
 
+1 # Bernd M 2018-12-27 21:41
I created and animated a cube and executed the script. I click onto snap everything greys out and the progress bar has one small yellow part at the beginning.
In the cmd window it says:

line 119, in run
nuke.executeInMainThreadWithResult(nodeToSnap['translate'].setAnimated,())
TypeError: 'NoneType' object has no attribute '__getitem__'

Anyone has an idea?
 
 
0 # Kim Ranzani 2019-03-03 17:36
v2.2 Updated to PySide2
 
 
0 # Kim Ranzani 2019-03-03 17:36
v2.2 Updated to PySide2
 
 
0 # Rafael Medrado 2019-07-02 16:17
im having the same problem
 
 
0 # Kim Ranzani 2019-03-03 17:37
v2.2 Updated to PySide2
 
 
0 # Georgios Papaioannou 2020-02-16 10:25
Hello Kim,

I installed the plugin in Nuke 11.3. It loads but I keep getting "Select exact 3 vertices" message.
 
 
0 # kire timov 2020-09-11 15:58
Same thing here
 
 
0 # kire timov 2020-09-11 15:58
Same thing here
 
 
0 # Kim Ranzani 2020-09-12 07:11
Hi Kire,

strange I'm currently using it in v11 and v12 with no errors... Have you selected exactly 3 vertices before pressing the button?
 
 
0 # Guilherme Trezzi 2021-11-25 20:23
same thing with Nuke 13
 
 
0 # Kim Ranzani 2022-02-21 17:16
should be fixed
 
 
0 # Kim Ranzani 2020-09-12 07:03
Hi Georgios,

just to be sure... Have you selected 3 verteces before pressing?
 
 
0 # Kim Ranzani 2022-02-21 17:16
should be fixed...
 
 
+1 # Caroline Voglaire 2023-03-09 16:58
Hey hi! I got the same "Select exact 3 vertices" message, even when I select exactly 3 vertices. I'm on Nuke 12
 
 
0 # Kim Ranzani 2023-07-12 08:14
Hey Caroline, sorry for the late reply. I noticed a strange behaviour using other nodes in nuke which is not related to Locometry. Sometimes the number of selected vertices doubles using other tools. To check that you can try to select your vertices and then run this in a script editor:

for p in nukescripts.sel ectedPoints():
print(p)

This shoud return exactly 3 sets of {x,y,z} coordinates.If not something else in your script is interfering with vertex selection.
 

You have no rights to post comments

We have 3415 guests and 128 members online